## osmium 0.0~20111114-ga147fb1

=== debian/changelog ===
osmium (0.0~20111114-ga147fb1-1) unstable; urgency=low

  * Initial release (Closes: #648710)

 -- David Paleino <dapal@debian.org>  Mon, 14 Nov 2011 21:11:24 +0100
