## osmium 0.0~20111213-g7f3500a

=== debian/changelog ===
osmium (0.0~20111213-g7f3500a-3build5) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 23:54:28 +0000

osmium (0.0~20111213-g7f3500a-3build4) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:55:38 +0000

osmium (0.0~20111213-g7f3500a-3build3) trusty; urgency=medium

  * No-change rebuild for geos transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 01:13:31 -0500

osmium (0.0~20111213-g7f3500a-3build2) trusty; urgency=low

  * Rebuild against libv8-3.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Nov 2013 16:14:31 +0000

osmium (0.0~20111213-g7f3500a-3build1) quantal; urgency=low

  * Rebuild against new libv8

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 06 Jun 2012 18:49:35 +0530

osmium (0.0~20111213-g7f3500a-3) unstable; urgency=low

  * Disable building the documentation, since doxygen randomly fails
    on some arches (Closes: #667035)
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sat, 14 Apr 2012 19:54:44 +0200

osmium (0.0~20111213-g7f3500a-2) unstable; urgency=low

  * Switch dependency from libgeos-dev to libgeos++-dev
  * Fix FTBFS with the new geos library (02-support_new_libgeos++.patch)
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright
  * Override three more invalid "duplicate files" by lintian

 -- David Paleino <dapal@debian.org>  Tue, 13 Mar 2012 09:53:50 +0100

osmium (0.0~20111213-g7f3500a-1) unstable; urgency=low

  * New git snapshot
  * Fix FTBFS with ld --as-needed, thanks to Julian Taylor
    (Closes: #656751)

 -- David Paleino <dapal@debian.org>  Tue, 31 Jan 2012 16:42:07 +0100
