=== debian/control ===
Source: osmium
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , cppcheck
# , doxygen
# , graphviz
 , libprotobuf-dev
 , protobuf-compiler
 , libv8-dev
 , libicu-dev
 , libsparsehash-dev
 , libexpat1-dev
 , libgeos++-dev
 , libgdal1-dev
 , libgd2-xpm-dev
 , libsqlite3-dev
 , libshp-dev
 , zlib1g-dev
 , libboost-dev
 , libosmpbf-dev
 , libboost-test-dev
Standards-Version: 3.9.3
Homepage: http://wiki.openstreetmap.org/wiki/Osmium
Vcs-Git: git://git.debian.org/pkg-osm/osmium.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmium.git;a=summary

Package: libosmium-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ framework for working with OSM data files
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package provides the header files useful to develop third-party
 applications.

#Package: osmium-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
# , libjs-jquery
#Description: C++ framework for working with OSM data files - docs
# Osmium is a C++ framework for working with OSM data files. Osmium can read
# OSM data in XML or binary format (PBF) and can call different handlers for
# each OSM object.
# .
# Available handlers include:
#  * Javascript handler (calls Javascript callbacks you provide)
#  * Multipolygon handler (assembles areas(multipolygons) from relations and
#    ways)
#  * NodeLocationStore handler (stores node locations and builds way
#    geometries from them)
#  * Statistics handler (does some general statistics)
#  * (others...)
# .
# This package provides documentation about the Osmium framework.

Package: osmjs
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: osmium-based Javascript framework for handling OSM data
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package contains the Javascript framework based on osmium.
