=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dosmjs

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dosmjs

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dosmjs

override_dh_auto_test:
	dh_auto_test
	cd test; ./run_tests.sh
