## osmium 0.0~20140910-9a069af

=== debian/changelog ===
osmium (0.0~20140910-9a069af-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Don't set BOOST_TEST_CATCH_SYSTEM_ERRORS=no for dh_auto_test on kFreeBSD,
    the upstream run_tests.sh now sets this variable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Sep 2014 10:40:52 +0200

osmium (0.0~20140825-3f3d229-2) unstable; urgency=medium

  * Set BOOST_TEST_CATCH_SYSTEM_ERRORS=no environment variable to fix the test
    failure on kFreeBSD where Boost catches the SIGCHLD signal when zcat and
    bzcat exit successfully but considers the signal a fatal error.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 09 Sep 2014 22:15:43 +0200

osmium (0.0~20140825-3f3d229-1) unstable; urgency=medium

  [ Andreas Tille ]
  * debian/control:
    - Added myself as Uploader
    - Moved to pkg-grass team (in Vcs fields)
    - cme fix dpkg-control (+readded commented osmium-doc paragraph)
    - Priority: optional
    - debhelper 9
    - Make Debian GIS maintainer of the package
    - Build-Depends: s/libgdal1-dev/libgdal-dev (>= 1.10.0-0~)/
      Closes: #732389

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Update gbp.conf to use pristine-tar by default.
  * New git snapshot.
    (closes: #700614)
  * Add build dependencies on boost libraries.
  * Drop obsolete patches, refresh remaining patches.
  * Append CPPFLAGS to CXXFLAGS for hardening flags.
  * Don't run tests twice.
  * Update copyright file.
  * Add lintian override for space-in-std-shortname-in-dep5-copyright false
    positive.
  * Add lintian override for missing watch file, the upstream repository on
    GitHub doesn't have tagged releases, only the master branch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 07 Sep 2014 21:21:46 +0200

osmium (0.0~20111213-g7f3500a-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mips big-endian.
    Add 04-big-endian.patch.
    Patch by Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>.
    Closes: #749501.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 28 May 2014 09:20:00 +0100
