=== debian/control ===
Source: osmium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Andreas Tille <tille@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               cppcheck,
               libprotobuf-dev,
               protobuf-compiler,
               libv8-dev,
               libicu-dev,
               libsparsehash-dev,
               libexpat1-dev,
               libgeos++-dev,
               libgdal-dev (>= 1.10.0-0~),
               libgd2-xpm-dev,
               libsqlite3-dev,
               libshp-dev,
               zlib1g-dev,
               libboost-dev,
               libboost-regex-dev,
               libboost-iostreams-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libosmpbf-dev,
               libboost-test-dev
# , doxygen
# , graphviz
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/?p=pkg-grass/osmium.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium.git
Homepage: http://wiki.openstreetmap.org/wiki/Osmium

Package: libosmium-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Description: C++ framework for working with OSM data files
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package provides the header files useful to develop third-party
 applications.

Package: osmjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: osmium-based Javascript framework for handling OSM data
 Osmium is a C++ framework for working with OSM data files. Osmium can read
 OSM data in XML or binary format (PBF) and can call different handlers for
 each OSM object.
 .
 Available handlers include:
  * Javascript handler (calls Javascript callbacks you provide)
  * Multipolygon handler (assembles areas(multipolygons) from relations and
    ways)
  * NodeLocationStore handler (stores node locations and builds way
    geometries from them)
  * Statistics handler (does some general statistics)
  * (others...)
 .
 This package contains the Javascript framework based on osmium.

#Package: osmium-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
# , libjs-jquery
#Description: C++ framework for working with OSM data files - docs
# Osmium is a C++ framework for working with OSM data files. Osmium can read
# OSM data in XML or binary format (PBF) and can call different handlers for
# each OSM object.
# .
# Available handlers include:
#  * Javascript handler (calls Javascript callbacks you provide)
#  * Multipolygon handler (assembles areas(multipolygons) from relations and
#    ways)
#  * NodeLocationStore handler (stores node locations and builds way
#    geometries from them)
#  * Statistics handler (does some general statistics)
#  * (others...)
# .
# This package provides documentation about the Osmium framework.
