=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CXXFLAGS += $(CPPFLAGS)
+
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
 	dh $@
@@ -19,6 +23,6 @@
 	dh_auto_install
 	dh_auto_install -Dosmjs
 
-override_dh_auto_test:
-	dh_auto_test
-	cd test; ./run_tests.sh
+override_dh_install:
+	dh_install --list-missing
+
