## osmium 0.0~20150428-7f23002

=== debian/changelog ===
osmium (0.0~20150428-7f23002-2) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Drop .0 from GPL license shortname in copyright file.
  * Drop © character from copyright statements.
  * Use libgd-dev instead of libgd2-xpm-dev transition package.
  * Rebuild for geos, protobuf & icu transitions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 00:50:32 +0200

osmium (0.0~20150428-7f23002-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update Homepage URL for page move.
  * Add get-orig-source target to create tarball from upstream git repository.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Apr 2015 21:47:40 +0200
