=== debian/control ===
--- 
+++ 
@@ -2,36 +2,36 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cppcheck,
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-iostreams-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libboost-test-dev,
+               libexpat1-dev,
+               libgd-dev,
+               libgdal-dev (>= 1.10.0-0~),
+               libgeos++-dev,
+               libicu-dev,
+               libosmpbf-dev,
                libprotobuf-dev,
+               libshp-dev,
+               libsparsehash-dev,
+               libsqlite3-dev,
+               libv8-dev,
                protobuf-compiler,
-               libv8-dev,
-               libicu-dev,
-               libsparsehash-dev,
-               libexpat1-dev,
-               libgeos++-dev,
-               libgdal-dev (>= 1.10.0-0~),
-               libgd2-xpm-dev,
-               libsqlite3-dev,
-               libshp-dev,
-               zlib1g-dev,
-               libboost-dev,
-               libboost-regex-dev,
-               libboost-iostreams-dev,
-               libboost-filesystem-dev,
-               libboost-system-dev,
-               libosmpbf-dev,
-               libboost-test-dev
+               zlib1g-dev
 # , doxygen
 # , graphviz
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-grass/osmium.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium.git
-Homepage: http://wiki.openstreetmap.org/wiki/Osmium
+Homepage: http://wiki.openstreetmap.org/wiki/Osmium/Old_version
 
 Package: libosmium-dev
 Architecture: any
