## osmium 0.0~20160124-b30afd3

=== debian/changelog ===
osmium (0.0~20160124-b30afd3-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Makes tests compile in c++11 mode.
    (closes: #811999)
  * Update Vcs-Git URL to use HTTPS.
  * Add NEWS entry to document the deprecation of the old osmium.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 18:02:46 +0100
