=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # , graphviz
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmium.git
 Homepage: http://wiki.openstreetmap.org/wiki/Osmium/Old_version
 
 Package: libosmium-dev
