=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,6 @@
 override_dh_install:
 	dh_install --list-missing
 
+get-orig-source:
+	. debian/get-orig-source
+
