## osmium 0.0~20160425-e2e4368

=== debian/changelog ===
osmium (0.0~20160425-e2e4368-2build1) yakkety; urgency=medium

  * No-change rebuild for protobuf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:06:58 +0000

osmium (0.0~20160425-e2e4368-2) unstable; urgency=medium

  * Enable parallel builds.
  * Drop unused override for space-in-std-shortname-in-dep5-copyright.
  * Add patch to disable problematic tests.
    (LP: #1574590)
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Aug 2016 15:45:04 +0200

osmium (0.0~20160425-e2e4368-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 13:36:50 +0200
