=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                zlib1g-dev
 # , doxygen
 # , graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmium.git
-Homepage: http://wiki.openstreetmap.org/wiki/Osmium/Old_version
+Homepage: https://wiki.openstreetmap.org/wiki/Osmium/Old_version
 
 Package: libosmium-dev
 Architecture: any
