=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 CXXFLAGS += $(CPPFLAGS)
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	dh_auto_build
